Update Lease: Propertyware REST
https://api.propexo.com/v1/leases/propertyware_rest/:lease_id| Method | Interface |
|---|---|
| PUT /v1/leases | Leases |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the unit
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
The start date associated with the lease
Show 2 variants
The end date associated with the lease
Show 2 variants
The move-in date associated with the lease. This must come before move_out_date
Show 2 variants
The move-out date associated with the lease. This must come before move_in_date
Show 2 variants
The scheduled move-out date associated with the lease. This must come before move_in_date
Show 2 variants
The status associated with the lease
Show 5 enum values
DraftActiveActive - Notice GivenTerminatedEvictionThe rent amount in cents for the lease
Possible values: >= 0
Notes associated with the lease
The signature date of the lease
Show 2 variants
The deposit amount in cents associated with the lease
Possible values: >= 0
The deposit date associated with the lease
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the lease
The Propexo unique identifier for the unit
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
The start date associated with the lease
Show 2 variants
The end date associated with the lease
Show 2 variants
The move-in date associated with the lease. This must come before move_out_date
Show 2 variants
The move-out date associated with the lease. This must come before move_in_date
Show 2 variants
The scheduled move-out date associated with the lease. This must come before move_in_date
Show 2 variants
The status associated with the lease
Show 5 enum values
DraftActiveActive - Notice GivenTerminatedEvictionThe rent amount in cents for the lease
Possible values: >= 0
Notes associated with the lease
The signature date of the lease
Show 2 variants
The deposit amount in cents associated with the lease
Possible values: >= 0
The deposit date associated with the lease
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leases/propertyware_rest/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"primary_contact_id": "string",
"tenant_ids": [
"string"
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft",
"rent_amount_in_cents": 0,
"notes": "string",
"signature_date": "2024-07-29T15:51:28.071Z",
"deposit_amount_in_cents": 0,
"deposit_charge_date": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"unit_id": "string",
"primary_contact_id": "string",
"tenant_ids": [
"string"
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft",
"rent_amount_in_cents": 0,
"notes": "string",
"signature_date": "2024-07-29T15:51:28.071Z",
"deposit_amount_in_cents": 0,
"deposit_charge_date": "2024-07-29T15:51:28.071Z"
}
}